Bug 1017390 - lightdm has no service file
lightdm has no service file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lightdm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 14:55 EDT by leigh scott
Modified: 2013-10-12 00:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: lightdm-1.8.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-12 00:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2013-10-09 14:55:37 EDT
Description of problem: This commit is incomplete 

http://pkgs.fedoraproject.org/cgit/lightdm.git/commit/?h=f20&id=fa4ea9f2bf19d39c0d97ebfa5b94ce16c4532bed


You forgot to do all of it

%if 0%{?systemd}
install -m644 -p -D %{SOURCE4} %{buildroot}%{_unitdir}/lightdm.service
install -m644 -p -D %{SOURCE6} %{buildroot}%{_datadir}/polkit-1/rules.d/lightdm.rules
%endif



and


%if 0%{?systemd}
%{_unitdir}/lightdm.service
%{_datadir}/polkit-1/rules.d/lightdm.rules
%endif


Hence there is no service file for systemd.


http://pastebin.com/raw.php?i=GAj4NMRe
Comment 1 Fedora Update System 2013-10-09 16:45:02 EDT
lightdm-1.8.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lightdm-1.8.0-2.fc20
Comment 2 Fedora Update System 2013-10-10 10:50:42 EDT
Package lightdm-1.8.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lightdm-1.8.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18767/lightdm-1.8.0-2.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-12 00:26:22 EDT
lightdm-1.8.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.